/*  
 *Name:style.css
 *description:Style for the porfolio
 *author: abhiyan timilsina
*/

/*============= Global Style   ============== */
body{
    width: 100% !important;
    overflow-x: hidden;
}
* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}
.container{
    display:grid;
    min-height:auto ;
    grid-template-areas: "h h h h h h h h h h h h"
               "a a a a a a a a a a a a"
               "s s s s s s s s s s s s"
               "g g g g g g g g g g g g"
               "c c c c c c c c c c c c"
               ;
    width:100%;
}

.section-title{
    width:100%;
    margin-top:10px;
    margin-bottom: 10px;
    font-size: 40px;
}
.section-title h3{
    text-align: center;
    font-family: 'ZCOOL KuaiLe', cursive
}
/*============= Section Heading Animation  ============== */
@keyframes heading{
    0%{
        
        box-shadow: 20px 20px 50px 15px red;
        color:purple;

    }
    20%{
   
        box-shadow: 20px 20px 50px 15px skyblue;
        color:pink;
    }
    40%{
        
        box-shadow: 20px 20px 50px 15px red;
        color:orange;
         
    }
    100%{
        
        box-shadow: 20px 20px 50px 15px greenyellow;
        color:hotpink;
    }
}


/*============= When page is scrolled   ============== */
.header_scrolled {
    z-index: 10;
    position:fixed;
    grid-area: h;
    top : 0;
    width : 100%;
    padding:10px;
    margin: 0;
    background:rgba(0,0,0,1);
    color:white !important;
}

.header_scrolled li {
    border-bottom:2px solid white !important;  
    
}
.header_scrolled li  a{
    color:white !important;
}
.header{
    z-index: 10;
    grid-area: h;
    width:100%;
    padding:10px;
    height:auto;
  
    background: linear-gradient(to right,rgba(251, 50, 83, 0.445),white); 
    box-shadow: 10px 10px 50px 15px lightgray; 
}

.header>li{
    color:black;
}
/*============= For mobile users   ============== */
.mobile-menu {
    position: fixed;
    top:0;
    left:0;
    height: 100%;
    padding:0;
    margin:0;
    z-index: 11;
    background: rgba(0,0,0,1);
    width:0%;
    overflow: hidden;
    transition-duration: 0.5s;
}
#side-menu i{
    color:white;
    position:absolute;
    right:10px;
    top:10px;
    font-size: 40px;
}
.mobile-menu>.nav{
    display:flex;
    flex-direction: column;  
    align-content: center;
    justify-content: center;
    margin-top:50%;
    transition-duration: 0.5s;
}
.mobile-menu #logo{
    color:white;
   justify-content: center;
}
.mobile-menu>.nav li {
    
    width: 100px;
}
.mobile-menu>.nav li:nth-of-type(1){
    margin-top:100px;
}


.mobile-menu>.nav li a{
 
 color:white !important;
}

.mobile-menu .social-icons{
  position: static;
   
}
.mobile-menu .social-icons i{
  display: none;
}



/*============= Navigation   ============== */
.nav {
    display: flex;
    justify-content: flex-start;
    flex-wrap: wrap;
    margin-top:10px;
    margin-left:20px;
}

.social-icons{
   position: absolute;
   right:20px;
   font-size:20px;
}
.nav>.menu-item {
    display: inline-block;
    list-style-type: none;
    width:10%;
    margin:0 10px 0 10px;
    padding:0 10px 15px 0px;
    text-align: center;
    font-family: Verdana, Geneva, Tahoma, sans-serif;    
}

.menu-item a{

  text-decoration: none;
  color:black;
}


.side-navigation-toggle{
    color:white;
    animation: none;
    border-radius: 5px;
    width:70px;
    text-align: left;
    display: none;
}
.side-navigation-toggle>i{
    font-size: 30px;
    
    
}

#logo{
    font-family: 'Shadows Into Light', cursive;
    font-weight: 900;
    font-size:25px;
    position: relative;
    bottom: 10px;
}
#logo span{
    color:green;

}


/*============= About Section Styles ============== */
.about {
    grid-area: a;
    width:100%;
    margin:40px 0px 0px 40px;
}
.intro {
    display: flex;
    justify-content: flex-start;
    flex-wrap: wrap;
    width:100%;

}

.info{
    border-radius: 10px;
    width:350px;
   height:auto;
   align-self: flex-end;
   box-shadow: 10px 5px 10px 10px lightgray;
   background-color:lightgoldenrodyellow;
 
}
.info:nth-of-type(2){
  background: lightyellow;
  margin:5px;
  margin-top:20px;
  margin-bottom: 20px;
  
}

.info:nth-of-type(3){
 background:lemonchiffon;
align-self: flex-start;
}
.info img{
    width:20px;
    height:20px;
}
.info img:nth-of-type(1){
    width:100px;
    height: 100px;
    border-radius: 100%;
    filter: grayscale(100%);
    position: relative;
    left:95px;
    padding-top:10px;
    padding-bottom: 10px;
}
.info img:nth-of-type(2){
    float: left;
}
.info img:nth-of-type(3){
    float: right;
}
.info>p{
    font-family: 'Shadows Into Light', cursive;
    text-align: center;
    font-size: 35px;
    margin-left:10%;
    display:inline-block;
}
.info ul li {
 list-style-type: none;
 font-family: 'Bad Script', cursive;
 font-size: 20px;
 font-weight: bolder;
 }
 .info ul li i{
     color:orangered;
 }
 .profile{
     margin-top:10px;
     padding:10px;
 }

/*============= Timeline Style  ============== */
.timeline{
    display:flex;
    z-index: -1;
    position: relative;
    right:10%;
    
    margin:0;

}
.timeline-right .timeline-items:before{
    content: "00:00";
    background:lightcoral;
    border-radius: 100%;
    padding:10px;
    position: relative;
    top:37px;
    right:50px;
    z-index: 2;
}

.timeline>div{
    width:50%;
    margin-left:0;
    display: flex;
    flex-direction: column;
    margin-top: 0px;
    position: relative;
    bottom: 20%;
     
 
}
.timeline-left::after{
    content:"  ";
    height:700px;
    width:10px;
    background:lightgrey;
    position: relative;
    border-radius: 10px 10px 10px 10px;
    left:100%;
    bottom: 10%;
}
.timeline-left .timeline-items{
    width:100%;
    font-size:10px;
    border:2px solid black;
    padding:10px;
    border-radius: 10px 10px 200px 10px;
    margin-right: 10px;
    margin-bottom: 60px;
    align-self: flex-end;
    position: relative;
    top:400px;
    left:5%;
    z-index: 1;
}

.timeline-right .timeline-items {
  
    font-size:10px;
    border:2px solid black;
    padding:10px;
    padding-left:30px;
    
    border-radius: 200px 10px 10px  10px;
    margin-right: 10px;
    margin-bottom: 60px;
   
    position: relative;
    top:330px;
    
}

.timeline-items:nth-of-type(even) {
    background:greenyellow;
}
.timeline-items:nth-of-type(odd) {
    background:lightgrey;
}

#timeline-image {
     position: relative;
     bottom:350px;
     left:50.2%;
      z-index: -1;
    width:130px;
    max-height: 100px;
    margin:auto;
    border-radius: 100%;
    box-shadow: 50px -20px 50px 15px gold;
    animation-name: skillanim;
    animation-duration: 3s;
    animation-iteration-count: infinite;
    filter:grayscale(100%);
}
/*============= Timeline Animation  ============== */
@keyframes skillanim {
    0%{
        transform: rotateY(0deg);
        box-shadow: 20px -20px 50px 15px gold;
    }
    100%{
    transform: rotateY(360deg);
    box-shadow: 50px 20px 50px 15px gold;
    }
}


/*============= Skill section styles  ============== */
.skills {
    grid-area: s;
    display:flex;
    flex-wrap: wrap;
    justify-content: space-around;
    margin-top:30px;
}
.skills>.skill-items{
    width:300px;
    height: 300px;
    padding: 70px 20px 10px 20px;
    margin:20px 10px 0px 0px;
    border-radius: 50%;
    box-shadow: 20px 20px 50px 15px lightgray;
    
}
.skill-items img{
    width:100px;
    position: relative;
    left:80px;
    bottom:10px;
    height: 100px;;
}

.skill-items>p{
    text-align: center;
    position: relative;
    bottom:45px;
}

.progress-bar {
    min-width:100%;
    position: relative;
    top:5px;
    height: 20px;
    background:lightgray;
    border-radius: 5px;
}
.progress-bar>.progress{
    background:linear-gradient(to right,red,hotpink);
    max-width:1.56px;
    color:rgba(0,0,0,0.5);
    font-size: 18px;
    height: 100%;
    

}
.contact {
    grid-area: c;
    display : flex;
    flex-wrap: wrap;
    margin-bottom: 2px;
    padding-bottom: 40px;
    align-content: center;
    justify-content: center;
    width:100%;
}
.contact div{
    margin:20px;
    width:100%;
}
.contact-info{
    margin:10px;
    box-shadow: 20px 25px lightgray;
    border-radius: 10px 50px 10px 100px;
    width:100%;
   
    padding:10px 10px 30px 10px ;
}
.contact-info i{
  font-size: 30px;
}

.contact-info{
    font-size: 20px;
}
.contact-form{
    display: flex;
    flex-direction: column;
    justify-content: center;
    flex-wrap: wrap;
    font-size: 20px;
    width:100%;
    font-family: fantasy;
    
}
.contact-form input{
    display:block;
    margin:10px;
    width:60%;
    padding:10px 10px 10px 10px;
    border:0;
    border-bottom: 2px solid black;
    margin-left:30px;
}
.contact-form input:focus{
    background: lightgray;
    border-color:greenyellow;
}
.contact-form input:invalid{
    background: lightcoral;
    border-color: red;
}
.submit{
    width:100%;
    padding:10px;
    border:1px solid black;
    margin-top:10px;
    font-size:18px;
    color:black;
    font-family: fantasy;
    animation-name: submitanim;
    animation-duration: 5s;
    animation-iteration-count: infinite;
}
/*============= Submit Animation  ============== */
@keyframes submitanim {
    0%{
        background-color:lightsalmon;
        box-shadow: 20px 20px 50px 15px grey;
    }
    20%{
        background-color: azure;
        box-shadow: -20px -20px 50px 15px lightskyblue;
    }
    50%{
        box-shadow: 20px 20px 50px 15px red;
    }
    90%{
        background-color:lightcyan;
        box-shadow: -20px -20px 50px 15px pink;
    }
    100%{
        box-shadow: 0;
    }
}

/*============= Detecting invalid input  ============== */
.helper {
    background: green;
    border:0;
    width:70%;
    font-size:14px;
    color:white;
    font-family: 'Courier New', Courier, monospace;
    display: none;
    font-weight: 100;
}
input:invalid + .helper {
    display: block;
} 

/*============= Media Queries   ============== */
@media only screen and (max-width: 750px) {
    .nav {
        display: none;
    }
   
    .side-navigation-toggle{
        display: block;
    }
    
}


@media only screen and (max-width:490px) {
    .contact{
    transform: scaleX(0.5);
     position: relative;
     right:75px;
     bottom:300px;
    }
   .section-title{
    position: relative;
    right:130px;
    font-size: 20px;
   }
    .skills{
        transform:scale(0.8);
        position: relative;
        right:15%;
        bottom:400px;
    }
  
    .timeline{
        position: relative;
        right:160px;
        bottom:80px;
        transform: scale(0.8);
    }
    .side-navigation-toggle {
        margin-top:15px;
        background:lightgray;
        color:red;
        text-align: center;
        border-radius: 100%;
        padding:10px 5px 10px 5px;
    }
 
   
    .header , .header_scrolled {
        background:transparent;
    }
    .submit{
        width:90%;

    }
    .contact-form input{
        width:90%;
    }
    .info{
        width:300px;
        margin-left:0;
    }
}

